aboutsummaryrefslogtreecommitdiff
path: root/modules
diff options
context:
space:
mode:
authorStefan Weigl-Bosker <stefan@s00.xyz>2025-03-25 21:40:59 -0400
committerStefan Weigl-Bosker <stefan@s00.xyz>2025-03-25 21:40:59 -0400
commitcc73eeb7daee1f34d0e8a865b4bf4c79eb754b14 (patch)
tree1270c360f69141979aae4dbe43a033ed8d045557 /modules
parent7249bcf997902b995430b4352a9f03f8e812e52d (diff)
downloadhome-cc73eeb7daee1f34d0e8a865b4bf4c79eb754b14.tar.gz
fix script
Diffstat (limited to 'modules')
-rw-r--r--modules/tmux/session-load.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/modules/tmux/session-load.sh b/modules/tmux/session-load.sh
index b342d93..c292d94 100644
--- a/modules/tmux/session-load.sh
+++ b/modules/tmux/session-load.sh
@@ -20,10 +20,10 @@ if [[ -z $input ]]; then
fi
project_name=$input
-project_path=$(readlink "$HOME/.projects/$project_name")
+project_dir=$(readlink "$HOME/.projects/$project_name")
-if ! [[ -d $project_path ]]; then
- echo "Error: Directory '$project_path' does not exist." >&2
+if ! [[ -d $project_dir ]]; then
+ echo "Error: Directory '$project_dir' does not exist." >&2
exit 1
fi
@@ -35,8 +35,8 @@ if ! tmux has-session -t $project_name 2> /dev/null; then
tmux new -ds $project_name -c $project_dir
fi
-if ! [[ -f ${project_path}/Session.vim ]]; then
- $(cd $project_path; nvim --headless +Obsession +q >/dev/null 2>&1)
+if ! [[ -f ${project_dir}/Session.vim ]]; then
+ $(cd $project_dir; nvim --headless +Obsession +q >/dev/null 2>&1)
fi
if [[ $TMUX ]]; then